org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

## Class CommentScanner

- java.lang.Object
- - RuleBasedScanner
  - - org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.CommentScanner

    public class CommentScanner
    extends RuleBasedScanner

Provides correct color for comments.

### Constructor Summary

Constructors
Constructor and Description
`CommentScanner(org.eclipse.swt.graphics.Color color)` Defines the token for comments.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommentScanner

    public CommentScanner(org.eclipse.swt.graphics.Color color)

Defines the token for comments.